# `causalis.dgp.base`

## Module Contents

### Functions

`estimate_gaussian_copula_corr` | Estimate a Gaussian copula correlation matrix from observational data_contracts. Uses rank -> normal scores -> Pearson correlation approach.

### API

causalis.dgp.base.estimate_gaussian_copula_corr(df: pandas.DataFrame, cols: list[str]) → numpy.ndarray

  Estimate a Gaussian copula correlation matrix from observational data_contracts. Uses rank -> normal scores -> Pearson correlation approach.